----------------------------------------------------------------------------------------
--	Announce your interrupts(by Elv22)
----------------------------------------------------------------------------------------
local T, C, L, _ = unpack(select(2, ...))
if C.Module.Announcement.interrupt ~= true then return end

local frame = CreateFrame("Frame")
frame:RegisterEvent("COMBAT_LOG_EVENT_UNFILTERED")
frame:SetScript("OnEvent", function(self, _, ...)
	local _, event, _, sourceGUID, _, _, _, _, destName, _, _, _, _, _, spellID = ...
	if not (event == "SPELL_INTERRUPT" and sourceGUID == UnitGUID("player")) then return end

	--SendChatMessage(INTERRUPTED.." "..destName..": "..GetSpellLink(spellID), T.CheckChat())
    SendChatMessage(L.CHAT_INTERRUPTED..": "..destName.."-"..GetSpellLink(spellID), T.CheckChat())
end)